﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;
#if UNITY_EDITOR
public class UnityEditor_PrefabUtilityWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UnityEditor.PrefabUtility), typeof(System.Object));
		L.RegFunction("GetPrefabInstanceHandle", GetPrefabInstanceHandle);
		L.RegFunction("GetPropertyModifications", GetPropertyModifications);
		L.RegFunction("SetPropertyModifications", SetPropertyModifications);
		L.RegFunction("HasPrefabInstanceAnyOverrides", HasPrefabInstanceAnyOverrides);
		L.RegFunction("InstantiateAttachedAsset", InstantiateAttachedAsset);
		L.RegFunction("RecordPrefabInstancePropertyModifications", RecordPrefabInstancePropertyModifications);
		L.RegFunction("UnpackPrefabInstanceAndReturnNewOutermostRoots", UnpackPrefabInstanceAndReturnNewOutermostRoots);
		L.RegFunction("LoadPrefabContentsIntoPreviewScene", LoadPrefabContentsIntoPreviewScene);
		L.RegFunction("IsAddedComponentOverride", IsAddedComponentOverride);
		L.RegFunction("IsPartOfAnyPrefab", IsPartOfAnyPrefab);
		L.RegFunction("IsPartOfPrefabAsset", IsPartOfPrefabAsset);
		L.RegFunction("IsPartOfPrefabInstance", IsPartOfPrefabInstance);
		L.RegFunction("IsPartOfNonAssetPrefabInstance", IsPartOfNonAssetPrefabInstance);
		L.RegFunction("IsPartOfRegularPrefab", IsPartOfRegularPrefab);
		L.RegFunction("IsPartOfModelPrefab", IsPartOfModelPrefab);
		L.RegFunction("IsPartOfVariantPrefab", IsPartOfVariantPrefab);
		L.RegFunction("IsPartOfImmutablePrefab", IsPartOfImmutablePrefab);
		L.RegFunction("IsDisconnectedFromPrefabAsset", IsDisconnectedFromPrefabAsset);
		L.RegFunction("IsPrefabAssetMissing", IsPrefabAssetMissing);
		L.RegFunction("GetOutermostPrefabInstanceRoot", GetOutermostPrefabInstanceRoot);
		L.RegFunction("GetNearestPrefabInstanceRoot", GetNearestPrefabInstanceRoot);
		L.RegFunction("IsDefaultOverride", IsDefaultOverride);
		L.RegFunction("RevertPrefabInstance", RevertPrefabInstance);
		L.RegFunction("ApplyPrefabInstance", ApplyPrefabInstance);
		L.RegFunction("ApplyPropertyOverride", ApplyPropertyOverride);
		L.RegFunction("RevertPropertyOverride", RevertPropertyOverride);
		L.RegFunction("ApplyObjectOverride", ApplyObjectOverride);
		L.RegFunction("RevertObjectOverride", RevertObjectOverride);
		L.RegFunction("ApplyAddedComponent", ApplyAddedComponent);
		L.RegFunction("RevertAddedComponent", RevertAddedComponent);
		L.RegFunction("ApplyRemovedComponent", ApplyRemovedComponent);
		L.RegFunction("RevertRemovedComponent", RevertRemovedComponent);
		L.RegFunction("ApplyAddedGameObject", ApplyAddedGameObject);
		L.RegFunction("RevertAddedGameObject", RevertAddedGameObject);
		L.RegFunction("GetObjectOverrides", GetObjectOverrides);
		L.RegFunction("GetAddedComponents", GetAddedComponents);
		L.RegFunction("GetRemovedComponents", GetRemovedComponents);
		L.RegFunction("GetAddedGameObjects", GetAddedGameObjects);
		L.RegFunction("IsAnyPrefabInstanceRoot", IsAnyPrefabInstanceRoot);
		L.RegFunction("IsOutermostPrefabInstanceRoot", IsOutermostPrefabInstanceRoot);
		L.RegFunction("GetPrefabAssetPathOfNearestInstanceRoot", GetPrefabAssetPathOfNearestInstanceRoot);
		L.RegFunction("GetIconForGameObject", GetIconForGameObject);
		L.RegFunction("SavePrefabAsset", SavePrefabAsset);
		L.RegFunction("SaveAsPrefabAsset", SaveAsPrefabAsset);
		L.RegFunction("SaveAsPrefabAssetAndConnect", SaveAsPrefabAssetAndConnect);
		L.RegFunction("InstantiatePrefab", InstantiatePrefab);
		L.RegFunction("GetCorrespondingObjectFromSource", GetCorrespondingObjectFromSource);
		L.RegFunction("GetCorrespondingObjectFromOriginalSource", GetCorrespondingObjectFromOriginalSource);
		L.RegFunction("GetCorrespondingObjectFromSourceAtPath", GetCorrespondingObjectFromSourceAtPath);
		L.RegFunction("IsAddedGameObjectOverride", IsAddedGameObjectOverride);
		L.RegFunction("UnpackPrefabInstance", UnpackPrefabInstance);
		L.RegFunction("IsPartOfPrefabThatCanBeAppliedTo", IsPartOfPrefabThatCanBeAppliedTo);
		L.RegFunction("GetPrefabInstanceStatus", GetPrefabInstanceStatus);
		L.RegFunction("GetPrefabAssetType", GetPrefabAssetType);
		L.RegFunction("LoadPrefabContents", LoadPrefabContents);
		L.RegFunction("UnloadPrefabContents", UnloadPrefabContents);
		L.RegFunction("New", _CreateUnityEditor_PrefabUtility);
		L.RegFunction("__tostring", ToLua.op_ToString);
		L.RegVar("prefabInstanceUpdated", get_prefabInstanceUpdated, set_prefabInstanceUpdated);
		L.RegFunction("PrefabInstanceUpdated", UnityEditor_PrefabUtility_PrefabInstanceUpdated);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int _CreateUnityEditor_PrefabUtility(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 0)
			{
				UnityEditor.PrefabUtility obj = new UnityEditor.PrefabUtility();
				ToLua.PushSealed(L, obj);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to ctor method: UnityEditor.PrefabUtility.New");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetPrefabInstanceHandle(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEngine.Object o = UnityEditor.PrefabUtility.GetPrefabInstanceHandle(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetPropertyModifications(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEditor.PropertyModification[] o = UnityEditor.PrefabUtility.GetPropertyModifications(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int SetPropertyModifications(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEditor.PropertyModification[] arg1 = ToLua.CheckObjectArray<UnityEditor.PropertyModification>(L, 2);
			UnityEditor.PrefabUtility.SetPropertyModifications(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int HasPrefabInstanceAnyOverrides(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			bool o = UnityEditor.PrefabUtility.HasPrefabInstanceAnyOverrides(arg0, arg1);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int InstantiateAttachedAsset(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEngine.Object o = UnityEditor.PrefabUtility.InstantiateAttachedAsset(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RecordPrefabInstancePropertyModifications(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEditor.PrefabUtility.RecordPrefabInstancePropertyModifications(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int UnpackPrefabInstanceAndReturnNewOutermostRoots(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEditor.PrefabUnpackMode arg1 = (UnityEditor.PrefabUnpackMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.PrefabUnpackMode));
			UnityEngine.GameObject[] o = UnityEditor.PrefabUtility.UnpackPrefabInstanceAndReturnNewOutermostRoots(arg0, arg1);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int LoadPrefabContentsIntoPreviewScene(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			string arg0 = ToLua.CheckString(L, 1);
			UnityEngine.SceneManagement.Scene arg1 = StackTraits<UnityEngine.SceneManagement.Scene>.Check(L, 2);
			UnityEditor.PrefabUtility.LoadPrefabContentsIntoPreviewScene(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsAddedComponentOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsAddedComponentOverride(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfAnyPrefab(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfAnyPrefab(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfPrefabAsset(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfPrefabAsset(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfPrefabInstance(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfPrefabInstance(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfNonAssetPrefabInstance(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfNonAssetPrefabInstance(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfRegularPrefab(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfRegularPrefab(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfModelPrefab(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfModelPrefab(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfVariantPrefab(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfVariantPrefab(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfImmutablePrefab(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfImmutablePrefab(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsDisconnectedFromPrefabAsset(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsDisconnectedFromPrefabAsset(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPrefabAssetMissing(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPrefabAssetMissing(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetOutermostPrefabInstanceRoot(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEngine.GameObject o = UnityEditor.PrefabUtility.GetOutermostPrefabInstanceRoot(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetNearestPrefabInstanceRoot(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEngine.GameObject o = UnityEditor.PrefabUtility.GetNearestPrefabInstanceRoot(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsDefaultOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.PropertyModification arg0 = (UnityEditor.PropertyModification)ToLua.CheckObject(L, 1, typeof(UnityEditor.PropertyModification));
			bool o = UnityEditor.PrefabUtility.IsDefaultOverride(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RevertPrefabInstance(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEditor.InteractionMode arg1 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.RevertPrefabInstance(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ApplyPrefabInstance(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEditor.InteractionMode arg1 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.ApplyPrefabInstance(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ApplyPropertyOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEditor.SerializedProperty arg0 = (UnityEditor.SerializedProperty)ToLua.CheckObject<UnityEditor.SerializedProperty>(L, 1);
			string arg1 = ToLua.CheckString(L, 2);
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.ApplyPropertyOverride(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RevertPropertyOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEditor.SerializedProperty arg0 = (UnityEditor.SerializedProperty)ToLua.CheckObject<UnityEditor.SerializedProperty>(L, 1);
			UnityEditor.InteractionMode arg1 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.RevertPropertyOverride(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ApplyObjectOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			string arg1 = ToLua.CheckString(L, 2);
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.ApplyObjectOverride(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RevertObjectOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEditor.InteractionMode arg1 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.RevertObjectOverride(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ApplyAddedComponent(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEngine.Component arg0 = (UnityEngine.Component)ToLua.CheckObject<UnityEngine.Component>(L, 1);
			string arg1 = ToLua.CheckString(L, 2);
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.ApplyAddedComponent(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RevertAddedComponent(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Component arg0 = (UnityEngine.Component)ToLua.CheckObject<UnityEngine.Component>(L, 1);
			UnityEditor.InteractionMode arg1 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.RevertAddedComponent(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ApplyRemovedComponent(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEngine.Component arg1 = (UnityEngine.Component)ToLua.CheckObject<UnityEngine.Component>(L, 2);
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.ApplyRemovedComponent(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RevertRemovedComponent(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEngine.Component arg1 = (UnityEngine.Component)ToLua.CheckObject<UnityEngine.Component>(L, 2);
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.RevertRemovedComponent(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ApplyAddedGameObject(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			string arg1 = ToLua.CheckString(L, 2);
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.ApplyAddedGameObject(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RevertAddedGameObject(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEditor.InteractionMode arg1 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.RevertAddedGameObject(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetObjectOverrides(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				System.Collections.Generic.List<UnityEditor.SceneManagement.ObjectOverride> o = UnityEditor.PrefabUtility.GetObjectOverrides(arg0);
				ToLua.PushSealed(L, o);
				return 1;
			}
			else if (count == 2)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
				System.Collections.Generic.List<UnityEditor.SceneManagement.ObjectOverride> o = UnityEditor.PrefabUtility.GetObjectOverrides(arg0, arg1);
				ToLua.PushSealed(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.PrefabUtility.GetObjectOverrides");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetAddedComponents(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			System.Collections.Generic.List<UnityEditor.SceneManagement.AddedComponent> o = UnityEditor.PrefabUtility.GetAddedComponents(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetRemovedComponents(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			System.Collections.Generic.List<UnityEditor.SceneManagement.RemovedComponent> o = UnityEditor.PrefabUtility.GetRemovedComponents(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetAddedGameObjects(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			System.Collections.Generic.List<UnityEditor.SceneManagement.AddedGameObject> o = UnityEditor.PrefabUtility.GetAddedGameObjects(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsAnyPrefabInstanceRoot(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			bool o = UnityEditor.PrefabUtility.IsAnyPrefabInstanceRoot(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsOutermostPrefabInstanceRoot(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			bool o = UnityEditor.PrefabUtility.IsOutermostPrefabInstanceRoot(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetPrefabAssetPathOfNearestInstanceRoot(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			string o = UnityEditor.PrefabUtility.GetPrefabAssetPathOfNearestInstanceRoot(arg0);
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetIconForGameObject(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEngine.Texture2D o = UnityEditor.PrefabUtility.GetIconForGameObject(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int SavePrefabAsset(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				UnityEngine.GameObject o = UnityEditor.PrefabUtility.SavePrefabAsset(arg0);
				ToLua.PushSealed(L, o);
				return 1;
			}
			else if (count == 2)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				bool arg1;
				UnityEngine.GameObject o = UnityEditor.PrefabUtility.SavePrefabAsset(arg0, out arg1);
				ToLua.PushSealed(L, o);
				LuaDLL.lua_pushboolean(L, arg1);
				return 2;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.PrefabUtility.SavePrefabAsset");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int SaveAsPrefabAsset(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				string arg1 = ToLua.CheckString(L, 2);
				UnityEngine.GameObject o = UnityEditor.PrefabUtility.SaveAsPrefabAsset(arg0, arg1);
				ToLua.PushSealed(L, o);
				return 1;
			}
			else if (count == 3)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				string arg1 = ToLua.CheckString(L, 2);
				bool arg2;
				UnityEngine.GameObject o = UnityEditor.PrefabUtility.SaveAsPrefabAsset(arg0, arg1, out arg2);
				ToLua.PushSealed(L, o);
				LuaDLL.lua_pushboolean(L, arg2);
				return 2;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.PrefabUtility.SaveAsPrefabAsset");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int SaveAsPrefabAssetAndConnect(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				string arg1 = ToLua.CheckString(L, 2);
				UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
				UnityEngine.GameObject o = UnityEditor.PrefabUtility.SaveAsPrefabAssetAndConnect(arg0, arg1, arg2);
				ToLua.PushSealed(L, o);
				return 1;
			}
			else if (count == 4)
			{
				UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
				string arg1 = ToLua.CheckString(L, 2);
				UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
				bool arg3;
				UnityEngine.GameObject o = UnityEditor.PrefabUtility.SaveAsPrefabAssetAndConnect(arg0, arg1, arg2, out arg3);
				ToLua.PushSealed(L, o);
				LuaDLL.lua_pushboolean(L, arg3);
				return 2;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.PrefabUtility.SaveAsPrefabAssetAndConnect");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int InstantiatePrefab(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1)
			{
				UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
				UnityEngine.Object o = UnityEditor.PrefabUtility.InstantiatePrefab(arg0);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes<UnityEngine.SceneManagement.Scene>(L, 2))
			{
				UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
				UnityEngine.SceneManagement.Scene arg1 = StackTraits<UnityEngine.SceneManagement.Scene>.To(L, 2);
				UnityEngine.Object o = UnityEditor.PrefabUtility.InstantiatePrefab(arg0, arg1);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes<UnityEngine.Transform>(L, 2))
			{
				UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
				UnityEngine.Transform arg1 = (UnityEngine.Transform)ToLua.ToObject(L, 2);
				UnityEngine.Object o = UnityEditor.PrefabUtility.InstantiatePrefab(arg0, arg1);
				ToLua.Push(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.PrefabUtility.InstantiatePrefab");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetCorrespondingObjectFromSource(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEngine.Object o = UnityEditor.PrefabUtility.GetCorrespondingObjectFromSource(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetCorrespondingObjectFromOriginalSource(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEngine.Object o = UnityEditor.PrefabUtility.GetCorrespondingObjectFromOriginalSource(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetCorrespondingObjectFromSourceAtPath(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			string arg1 = ToLua.CheckString(L, 2);
			UnityEngine.Object o = UnityEditor.PrefabUtility.GetCorrespondingObjectFromSourceAtPath(arg0, arg1);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsAddedGameObjectOverride(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			bool o = UnityEditor.PrefabUtility.IsAddedGameObjectOverride(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int UnpackPrefabInstance(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEditor.PrefabUnpackMode arg1 = (UnityEditor.PrefabUnpackMode)ToLua.CheckObject(L, 2, typeof(UnityEditor.PrefabUnpackMode));
			UnityEditor.InteractionMode arg2 = (UnityEditor.InteractionMode)ToLua.CheckObject(L, 3, typeof(UnityEditor.InteractionMode));
			UnityEditor.PrefabUtility.UnpackPrefabInstance(arg0, arg1, arg2);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int IsPartOfPrefabThatCanBeAppliedTo(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			bool o = UnityEditor.PrefabUtility.IsPartOfPrefabThatCanBeAppliedTo(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetPrefabInstanceStatus(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEditor.PrefabInstanceStatus o = UnityEditor.PrefabUtility.GetPrefabInstanceStatus(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetPrefabAssetType(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.CheckObject<UnityEngine.Object>(L, 1);
			UnityEditor.PrefabAssetType o = UnityEditor.PrefabUtility.GetPrefabAssetType(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int LoadPrefabContents(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			string arg0 = ToLua.CheckString(L, 1);
			UnityEngine.GameObject o = UnityEditor.PrefabUtility.LoadPrefabContents(arg0);
			ToLua.PushSealed(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int UnloadPrefabContents(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEngine.GameObject arg0 = (UnityEngine.GameObject)ToLua.CheckObject(L, 1, typeof(UnityEngine.GameObject));
			UnityEditor.PrefabUtility.UnloadPrefabContents(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_prefabInstanceUpdated(IntPtr L)
	{
		try
		{
			ToLua.Push(L, UnityEditor.PrefabUtility.prefabInstanceUpdated);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_prefabInstanceUpdated(IntPtr L)
	{
		try
		{
			UnityEditor.PrefabUtility.PrefabInstanceUpdated arg0 = (UnityEditor.PrefabUtility.PrefabInstanceUpdated)ToLua.CheckDelegate<UnityEditor.PrefabUtility.PrefabInstanceUpdated>(L, 2);
			UnityEditor.PrefabUtility.prefabInstanceUpdated = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int UnityEditor_PrefabUtility_PrefabInstanceUpdated(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<UnityEditor.PrefabUtility.PrefabInstanceUpdated>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<UnityEditor.PrefabUtility.PrefabInstanceUpdated>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}
#endif